# Delete a state item

`DELETE /v1.0/state/{storeName}/{key}`

This endpoint lets you delete a state item from the state store.

## Request

### Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `storeName` | string | Yes | Pattern: `^[a-zA-Z0-9_-]+$`. |
| `key` | string | Yes | Pattern: `^[a-zA-Z0-9_-]+$`. |

### Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `concurrency` | string | No | One of: `first-write`, `last-write`. |
| `consistency` | string | No | One of: `strong`, `eventual`. |

### Header parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `if-match` | string | No | Pattern: `^[a-zA-Z0-9_-]+$`. |

## Responses

### 204 — Delete state successful.

### 400 — State store is missing or misconfigured.

### 500 — Delete state failed.
